MACHINE_USES_VIVANTE_KERNEL_DRIVER_MODULE ?= "0"

PACKAGE_CLASSES = "package_ipk"

MACHINE_SOCARCH_FILTER_append_imxgpu = " opencv"

MACHINE_SOCARCH_FILTER_remove = " imx-parser"

MACHINE_SOCARCH_FILTER_append_imxgpu = " opencv"

MACHINE_SOCARCH_FILTER_remove = " imx-parser"

# Extra Marvell Wi-Fi & BTE driver and firmware
MACHINE_EXTRA_RRECOMMENDS_append = " ${@bb.utils.contains('MACHINE_FEATURES', 'mrvl8997', 'packagegroup-imx-mrvl8997', '', d)}"

# Extra NXP Wlan SDK
MACHINE_EXTRA_RRECOMMENDS_append = " ${@bb.utils.contains('MACHINE_FEATURES', 'nxp8987', 'nxp-wlan-sdk', '', d)}"

MACHINE_GSTREAMER_1_0_PLUGIN_mx8 ?= "imx-gst1.0-plugin"

PREFERRED_VERSION_weston_mx8 ?= "8.0.0.imx"

PREFERRED_VERSION_wayland-protocols_mx8 = "1.18.imx"

PREFERRED_VERSION_libdrm_mx8 ?= "2.4.99.imx"

PREFERRED_VERSION_isp-imx ?= "4.0.8.2"
PREFERRED_VERSION_basler-camera ?= "1.0.2"

PREFERRED_VERSION_optee-client_mx8 = "3.7.0.imx"
PREFERRED_VERSION_optee-os_mx8 = "3.7.0.imx"
PREFERRED_VERSION_optee-test_mx8 = "3.7.0.imx"

# Use the stable version 3.2.0. Version 3.7.0 is still
# in an experimental state
PREFERRED_VERSION_optee-os ?= "3.2.0.imx"
PREFERRED_VERSION_optee-client ?= "3.2.0.imx"
PREFERRED_VERSION_optee-test ?= "3.2.0.imx"
# Temporary workaround to override specific prefered version
# in meta-freescale layer for i.MX8.
PREFERRED_VERSION_optee-os_mx8     ?= "3.7.0.imx"
PREFERRED_VERSION_optee-client_mx8 ?= "3.7.0.imx"
PREFERRED_VERSION_optee-test_mx8   ?= "3.7.0.imx"

IMX_DEFAULT_KERNEL_mx6ulz = "linux-imx"

SOC_DEFAULT_IMAGE_FSTYPES_remove = "wic.gz"
SOC_DEFAULT_IMAGE_FSTYPES_append = " wic.bz2 tar.bz2"

# Remove from upstream
SDCARD_ROOTFS = "NO_LONGER_USED"

OPTEE_BOOT_IMAGE_mx8 ?= "tee.bin"

IMAGE_BOOT_FILES_append = " \
    ${@bb.utils.contains('COMBINED_FEATURES', 'xen', 'xen', '', d)} \
"

IMAGE_INSTALL_append = " \
    ${@bb.utils.contains('COMBINED_FEATURES', 'jailhouse', 'jailhouse', '', d)} \
    ${@bb.utils.contains('MACHINE_FEATURES', 'optee', 'packagegroup-fsl-optee-imx', '', d)} \
    ${@bb.utils.contains('COMBINED_FEATURES', 'xen', 'imx-xen-base imx-xen-hypervisor', '', d)} \
"

MACHINE_FEATURES_append_imx    = " nxp8987"

# Overrides for all MACHINE.conf with optee support
UBOOT_CONFIG_OPTEE_CONFIG = "mx${OPTEE_BIN_EXT}_optee_config"
UBOOT_CONFIG[sd-optee] = "${UBOOT_CONFIG_OPTEE_CONFIG},sdcard"


MACHINE_FEATURES_remove_smarcimx8mq2g = "qca6174"
MACHINE_FEATURES_append_smarcimx8mq2g = " mrvl8997 jailhouse"
MACHINE_FEATURES_remove_smarcimx8mq4g = "qca6174"
MACHINE_FEATURES_append_smarcimx8mq4g = " mrvl8997 jailhouse"
